Description

After upgrade one of my capsules i found some issues

To upgrade my capsule server i use the following command

foreman-installer --scenario foreman-proxy-content --upgrade --foreman-proxy-content-certs-tar "/root/katelloproxy00.tar"
--certs-update-all --foreman-proxy-content-pulp-oauth-secret

"KPS4SwkDgbPNKPRgyCSrnr3bHGcDuCK1" --foreman-proxy-register-in-foreman "false" --certs-regenerate "true" --certs-deploy
"true" -v

Because if i use without foreman proxy register parameter fail

This proxy have all this services Templates, Pulp Node, TFTP, DHCP, Puppet, Puppet CA, Logs, Dynflow, and SSH

after upgrade proxy need the following

need to verify

/etc/puppet/foreman.yaml

:url: "https://katellomain.example.com”

in this case the url was pointing to the proxy itself for this reason all the puppet agent fail also the puppet agent in the proxy fail after
put the correct server works fine

after that try to provisioning a new machine and katello complains about can't get any ip available and give me 404 error
Checking

/etc/foreman-proxy/settings.yml

‘trusted_hosts:

- proxy00.example.com

Found the only trusted server was currently the proxy and is not included the katellomain server in this case just add the katellomain
server in trusted hosts

Next in

1. Endpoint for reverse communication
:foreman_url: https://proxy00.example.com

Also found the configuration change and was point to the proxy itself again solution replace for the good server
Checking also the dhcp configuration
/etc/foreman-proxy/settings.d/dhcp.yml

1. Enable DHCP management

2. Can be true, false, or http/https to enable just one of the protocols
:enabled: false
https://proxy00.example.com

the configuration was disable just enabled to working back
and finally all looks is working until the machine is try to register it is fail the issue was on the katello reverse proxy configuration
/etc/httpd/conf.d/28-katello-reverse-proxy.conf

1. Proxy rules
ProxyRequests Off
ProxyPreserveHost Off
ProxyPass / https://proxy00.example.com/
ProxyPassReverse / /
ProxyPassReverse / hitps://proxy00.example.com/

Also the configuration was change with the update put the proxy instead of the main katello server
after all this i make a restart of all the services
katello-service restart

Now all is ok apparently the upgrade process doesn't respect the configuration and make change to put the proxy itself in all the
configurations

History

#1 - 05/10/2017 02:27 PM - Justin Shetrrill

- translation missing: en.field_release changed from 226 to 228

#2 - 05/24/2017 02:40 PM - Justin Sherrill
Hi,

Are you still having this issue? Would you be able to test on 3.4 when it is released soon?

#3 - 05/29/2017 01:17 AM - Mario Gamboa

Hi there i saw the release of 3.4 i going to make the upgrade of katello 3.1 to 3.4 to see how this goes just a question about the proxy upgrade is good
idea register again the proxy or is any change in the procedure of how we upgrade the proxy

#4 - 05/31/2017 02:33 PM - Justin Shetrill

You can just follow the upgrade docs for 3.4: https://theforeman.org/plugins/katello/3.4 r mart_proxy.html

#5 - 06/02/2017 05:35 AM - Mario Gamboa

Hi justin

that is the problem if we follow the instructions the proxy fail in register with katello server just remember this is a upgrade if i do a fresh install is ok all
works as expected but upgrade is not working at all for example in the documentation never mention you need now to put the oath password with that

the installer fail also i just try today upgrade from 3.1 to 3.4 and fail horrible but is i upgrade from 3.1 to 3.2 and after to 3.3 and after 3.4 some of the
issues gone but i have the foreman-rake task no finish and crash and the installation is incomplete

If someone of the team can make a upgrade and see the same errors

#6 - 06/02/2017 05:40 AM - Mario Gamboa
i can just say this is all the issues present at this stage if you want to upgrade capsule server or katello from 3.1 to latest or a previous version

http:/projects.theforeman.org/issues/19329

http://projects.theforeman.org/issues/19746
http://projects.theforeman.org/issues/19739

#7 - 06/07/2017 09:34 PM - Eric Helms

- translation missing: en.field_release changed from 228 to 258

#8 - 06/14/2017 02:48 PM - Justin Sherrill

- Status changed from New to Need more information

Can you upload a foreman-debug from one of your attempts when you went 3.1 -> 3.2 -> 3.3 -> 3.4.
https://proxy00.example.com/
https://proxy00.example.com/
https://theforeman.org/plugins/katello/3.4/upgrade/smart_proxy.html
http://projects.theforeman.org/issues/19329
http://projects.theforeman.org/issues/19746
http://projects.theforeman.org/issues/19739

FYI we usually test upgrading from two versions back (i.e. 3.3 -> 3.4 and 3.2 -> 3.4), we don't usually test anything further back than that.

#9 - 06/21/2017 02:37 PM - Justin Sherrill

- translation missing: en.field_release changed from 258 to 166

#10 - 06/28/2017 02:07 PM - Eric Helms

- Status changed from Need more information to Resolved

If you are still seeing this issue as of Katello 3.4, please re-open for us to consider.
